Bug 173908 - ypbind segfaulted on RHEL 4 x86_64
ypbind segfaulted on RHEL 4 x86_64
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypbind (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Feist
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-11-22 09:59 EST by Petter Reinholdtsen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-29 17:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petter Reinholdtsen 2005-11-22 09:59:33 EST
One of our machines complained about broken NIS configuration, and I
had a look.  ypbind was not running, and 'ypwhich' reported
'ypwhich: Can't communicate with ypbind'.

Checking /var/log/messages, I foudn this message:

  Nov 22 14:25:53 ankaa kernel: ypbind[29297]: segfault at 0000000000000008
    rip 000000000040627f rsp 0000007fbffff390 error 4

I got ypbind version 1.17.2-3 installed on the machine, and uname reports
"Linux ankaa.uio.no 2.6.9-22.ELsmp #1 SMP Mon Sep 19 18:00:54 EDT 2005 x86_64 
x86_64 x86_64 GNU/Linux".

The machine have SELinux enabled with type set to 'targeted'.  I'm not sure
if it is relevant.

I do not know how to reproduce this problem, nor how often it occures, but
found it best to report the problem as ypbind is a network server.

I'll keep the eyes open for this problem, but do not know how to reproduce it.
I can provide syslog messages from around that period, if relevant.
Comment 1 Paul Raines 2006-05-01 10:20:12 EDT
We have a 300 node computing cluster and starting 5 days ago for no apparent
reason ypbind has started dying on them randomly at the rate of a couple of
nodes an hour.  We have a mix of 64bit and 32bit nodes.  The segfault message
only ends up in the log on the 64bit nodes.  I imagine this must be some kind
of debug option only in the x86_64 kernel because we have these failures
occuring equally randomly on both 64bit and 32bit nodes.  Seems like something
recently added to our maps is tickling some bug pusing some memory allocation 
thing over the edge.
Comment 2 Chris Feist 2006-05-01 11:55:50 EDT
Can you post the output of 'rpm -q ypbind' on your x86 & x86_64 nodes?
Comment 3 Chris Feist 2006-05-01 11:56:57 EDT
Would it also be possible to provide your maps so I can more easily replicate
the issue on our systems?
Comment 4 Chris Feist 2006-09-29 17:00:31 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.